Page MenuHomePhabricator

Add phan to PropertySuggester extension
Closed, ResolvedPublic

Description

As wmf deployed extension the PropertySuggester extension should run phan on CI to found simple bugs in an earlier state of development.

Details

Related Gerrit Patches:
mediawiki/extensions/PropertySuggester : masterbuild: Add mediawiki/mediawiki-phan-config
integration/config : masterlayout: [PropertySuggester] Add phan
integration/config : master[PropertySuggester] Add phan dependency
mediawiki/extensions/PropertySuggester : masterAdd phan

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 31 2019, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 515444 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[mediawiki/extensions/PropertySuggester@master] Add phan

https://gerrit.wikimedia.org/r/515444

Change 515444 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Add phan

https://gerrit.wikimedia.org/r/515444

Daimona moved this task from Backlog to Extensions on the phan board.Sep 12 2019, 5:49 PM

Change 538087 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/PropertySuggester@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/538087

Change 538090 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[integration/config@master] [PropertySuggester] Add phan dependency

https://gerrit.wikimedia.org/r/538090

Change 538090 merged by jenkins-bot:
[integration/config@master] [PropertySuggester] Add phan dependency

https://gerrit.wikimedia.org/r/538090

Mentioned in SAL (#wikimedia-releng) [2019-09-20T01:00:43Z] <James_F> Zuul: [PropertySuggester] Add phan dependency T224774

Change 538132 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [PropertySuggster] Add phan

https://gerrit.wikimedia.org/r/538132

Change 538132 merged by jenkins-bot:
[integration/config@master] layout: [PropertySuggester] Add phan

https://gerrit.wikimedia.org/r/538132

Change 538087 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] build: Add mediawiki/mediawiki-phan-config

https://gerrit.wikimedia.org/r/538087

Umherirrender closed this task as Resolved.Sep 20 2019, 1:45 PM
Umherirrender claimed this task.
Umherirrender triaged this task as Normal priority.